org.apache.xalan.trace

## Interface TraceListenerEx2

All Superinterfaces:
  java.util.EventListener, TraceListener, TraceListenerEx

All Known Subinterfaces:
  TraceListenerEx3

All Known Implementing Classes:
  PrintTraceListener

    public interface TraceListenerEx2
    extends TraceListenerEx

Extends TraceListenerEx but adds a EndTrace event.

Usage:
  **For advanced use only**

### Method Summary

Methods
`void` `traceEnd(TracerEvent ev)` Method that is called when the end of a trace event occurs.

### Methods inherited from interface org.apache.xalan.trace.TraceListenerEx

`selectEnd`

### Methods inherited from interface org.apache.xalan.trace.TraceListener

`generated, selected, trace`

### Method Detail

#### traceEnd

    void traceEnd(TracerEvent ev)

Method that is called when the end of a trace event occurs. The method is blocking. It must return before processing continues.

Parameters:
  `ev` - the trace event.